<?php
declare(strict_types=1);

namespace Flat101\EnhancedEcommerce\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class VariantUse implements OptionSourceInterface
{
    CONST NO_USAGE = 1;
    CONST DEFAULT_USAGE = 2;
    CONST DISCOUNT_USAGE = 3;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['label' => __('No usage'), 'value' => self::NO_USAGE],
            ['label' => __('Default usage (Only configurable products added to cart)'), 'value' => self::DEFAULT_USAGE],
            ['label' => __('Discount usage (Add % discount all related product dataLayer)'), 'value' => self::DISCOUNT_USAGE]
        ];
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        return [
            [self::NO_USAGE => __('No usage')],
            [self::DEFAULT_USAGE => __('Default use (Only configurable products added to cart)')],
            [self::DISCOUNT_USAGE => __('Discount use (Add % discount all related product dataLayer)')]
        ];
    }
}
