<?php
declare(strict_types=1);

namespace Flat101\EnhancedEcommerce\Model\DataLayer;

use Flat101\EnhancedEcommerce\Api\Data\DataLayerInterface;
use Flat101\EnhancedEcommerce\Helper\Config;

class CheckoutView implements DataLayerInterface
{
    public const CODE = 'checkout-view';

    const SHIPPING_STEP = 1;
    const SHIPPING_STEP_LABEL = 'step 1 - Shipping info';

    /**
     * @var Generator\CheckoutStep
     */
    private $checkoutStep;

    /** @var Config */
    private $configHelper;

    public function __construct(
        Generator\CheckoutStep $checkoutStep,
        Config $configHelper
    ) {
        $this->checkoutStep = $checkoutStep;
        $this->configHelper = $configHelper;
    }

    public function getCode(): string
    {
        return self::CODE;
    }

    public function getLayer()
    {
        if (!$this->configHelper->getIsDisabledUaDatalayer()) {
            return $this->checkoutStep->onCheckoutStep(self::SHIPPING_STEP, null, self::SHIPPING_STEP_LABEL);
        }

        return null;
    }
}
